indexing
   description : ""
   project     : "EiffelBDB - An Eiffel interface to the Berkeley DB"
   author      : "Pirmin Kalberer <kalberer@spin.ch>"
   copyright   : "Copyright (c) 1999, Pirmin Kalberer"
   date        : "$Date: 1999/11/28 18:58:15 $"
   revision    : "$Revision: 1.1 $"
	 
----------------------------------------------------------------
----------------------------------------------------------------
--
-- Memory pool classes
--

class BDB_MPOOL_FILE
   
inherit
   DB_WRAPPER
   
creation
   make
    

feature
    int close is
    -- C++: int close()
      do
      end
    int get(db_pgno_t *pgnoaddr, u_int32_t flags, void *pagep) is
    -- C++: int get(db_pgno_t *pgnoaddr, u_int32_t flags, void *pagep)
      do
      end
    int put(void *pgaddr, u_int32_t flags) is
    -- C++: int put(void *pgaddr, u_int32_t flags)
      do
      end
    int set(void *pgaddr, u_int32_t flags) is
    -- C++: int set(void *pgaddr, u_int32_t flags)
      do
      end
    int sync is
    -- C++: int sync()
      do
      end

    static int open(BDB_MPOOL *mp, file: STRING,
                    u_int32_t flags, int mode, size_t pagesize,
                    DB_MPOOL_FINFO *finfop, BDB_MPOOL_FILE **mpf) is
		    -- C++: static int open(DbMpool *mp, const char *file
                    -- u_int32_t flags, int mode, size_t pagesize,
                    -- DB_MPOOL_FINFO *finfop, DbMpoolFile **mpf);
      do
      end

feature {NONE}
    -- We can add data to this class if needed
    -- since it is implemented via a pointer.
    -- (see comment at top)

    -- Note: use DbMpoolFile::open()
    -- to get pointers to a BDB_MPOOL_FILE,
    -- and call BDB_MPOOL_FILE::close() rather than delete to release them.
    --
	make is
 -- C++: DbMpoolFile()
      do
      end

feature {}
    exit_DbMpoolFile is
    -- C++: ~DbMpoolFile()
      do
      end

feature {NONE}

    DEFINE_DB_CLASS(BDB_MPOOL_FILE) is
    -- C++: DEFINE_DB_CLASS(DbMpoolFile)
      do
      end
end


