indexing
   description : "Key/value pair"
   project     : "EiffelBDB - An Eiffel interface to the Berkeley DB"
   author      : "Pirmin Kalberer <kalberer@spin.ch>"
   copyright   : "Copyright (c) 1999, Pirmin Kalberer"
   date        : "$Date: 1999/11/28 18:58:15 $"
   revision    : "$Revision: 1.1 $"

class BDB_KEY_VALUE_PAIR

feature -- Elements
	
   key : STRING
   value : STRING

feature -- Change
	
   set_key(o : STRING) is
      do
	 key := o
      ensure
	 keep_reference: key = o
      end

   set_value(t : STRING) is
      do
	 value := t
      ensure
	 keep_reference: value = t
      end

end
